/*
 * This file is generated by jOOQ.
 */
package de.ship.clip.db;


import de.ship.clip.db.tables.TDisplaylabel;
import de.ship.clip.db.tables.TMenuitem;
import de.ship.clip.db.tables.TProfile;
import de.ship.clip.db.tables.TTranslation;
import de.ship.clip.db.tables.records.TDisplaylabelRecord;
import de.ship.clip.db.tables.records.TMenuitemRecord;
import de.ship.clip.db.tables.records.TProfileRecord;
import de.ship.clip.db.tables.records.TTranslationRecord;

import org.jooq.ForeignKey;
import org.jooq.TableField;
import org.jooq.UniqueKey;
import org.jooq.impl.DSL;
import org.jooq.impl.Internal;


/**
 * A class modelling foreign key relationships and constraints of tables in
 * config.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class Keys {

    // -------------------------------------------------------------------------
    // UNIQUE and PRIMARY KEY definitions
    // -------------------------------------------------------------------------

    public static final UniqueKey<TDisplaylabelRecord> T_DISPLAYLABEL_PKEY = Internal.createUniqueKey(TDisplaylabel.T_DISPLAYLABEL, DSL.name("t_displaylabel_pkey"), new TableField[] { TDisplaylabel.T_DISPLAYLABEL.PK }, true);
    public static final UniqueKey<TMenuitemRecord> T_MENUITEM_APP_ID_KEY = Internal.createUniqueKey(TMenuitem.T_MENUITEM, DSL.name("t_menuitem_app_id_key"), new TableField[] { TMenuitem.T_MENUITEM.APP_ID }, true);
    public static final UniqueKey<TMenuitemRecord> T_MENUITEM_PKEY = Internal.createUniqueKey(TMenuitem.T_MENUITEM, DSL.name("t_menuitem_pkey"), new TableField[] { TMenuitem.T_MENUITEM.PK }, true);
    public static final UniqueKey<TMenuitemRecord> T_MENUITEM_URL_KEY = Internal.createUniqueKey(TMenuitem.T_MENUITEM, DSL.name("t_menuitem_url_key"), new TableField[] { TMenuitem.T_MENUITEM.URL }, true);
    public static final UniqueKey<TProfileRecord> T_PROFILE_KEYCLOAK_ID_KEY = Internal.createUniqueKey(TProfile.T_PROFILE, DSL.name("t_profile_keycloak_id_key"), new TableField[] { TProfile.T_PROFILE.KEYCLOAK_ID }, true);
    public static final UniqueKey<TProfileRecord> T_PROFILE_PKEY = Internal.createUniqueKey(TProfile.T_PROFILE, DSL.name("t_profile_pkey"), new TableField[] { TProfile.T_PROFILE.PK }, true);
    public static final UniqueKey<TTranslationRecord> T_TRANSLATION_LANGKEY_LOCALECODE_KEY = Internal.createUniqueKey(TTranslation.T_TRANSLATION, DSL.name("t_translation_langkey_localecode_key"), new TableField[] { TTranslation.T_TRANSLATION.LANGKEY, TTranslation.T_TRANSLATION.LOCALECODE }, true);
    public static final UniqueKey<TTranslationRecord> T_TRANSLATION_PKEY = Internal.createUniqueKey(TTranslation.T_TRANSLATION, DSL.name("t_translation_pkey"), new TableField[] { TTranslation.T_TRANSLATION.PK }, true);

    // -------------------------------------------------------------------------
    // FOREIGN KEY definitions
    // -------------------------------------------------------------------------

    public static final ForeignKey<TMenuitemRecord, TDisplaylabelRecord> T_MENUITEM__T_MENUITEM_FK_DESCRIPTION_FKEY = Internal.createForeignKey(TMenuitem.T_MENUITEM, DSL.name("t_menuitem_fk_description_fkey"), new TableField[] { TMenuitem.T_MENUITEM.FK_DESCRIPTION }, Keys.T_DISPLAYLABEL_PKEY, new TableField[] { TDisplaylabel.T_DISPLAYLABEL.PK }, true);
    public static final ForeignKey<TMenuitemRecord, TDisplaylabelRecord> T_MENUITEM__T_MENUITEM_FK_LABEL_FKEY = Internal.createForeignKey(TMenuitem.T_MENUITEM, DSL.name("t_menuitem_fk_label_fkey"), new TableField[] { TMenuitem.T_MENUITEM.FK_LABEL }, Keys.T_DISPLAYLABEL_PKEY, new TableField[] { TDisplaylabel.T_DISPLAYLABEL.PK }, true);
}
